import { request } from "umi";
import { commonParams } from "./index";

/**
 * 系统设计图列表
 * @param
 */
export const FlowchartMindMapList = (data: commonParams) => {
  return request("/api/flowchartMindMap/list", {
    method: "POST",
    data,
  });
};

/**
 * 系统设计图详情
 * @param
 */
export const FlowchartMindMapInfo = (data: { id: string }) => {
  return request("/api/flowchartMindMap/info", {
    method: "POST",
    data,
  });
};

/**
 * 添加系统设计图
 * @param 1思维导图 其他自定义
 */
export const AddGraph = (data: { type: string }) => {
  return request("/api/flowchartMindMap/addGraph", {
    method: "POST",
    data,
  });
};

/**
 * 修改系统设计图信息
 * @param
 */
export const EditGraph = (data) => {
  return request("/api/flowchartMindMap/editGraph", {
    method: "POST",
    data,
  });
};

/**
 * 删除系统设计图信息
 * @param
 */
export const DeleteGraph = (data: { id: string }) => {
  return request("/api/flowchartMindMap/deleteGraph", {
    method: "POST",
    data,
  });
};

/**
 * 添加流程图元素
 * @param
 */
export const AddFlowchartElement = (data) => {
  return request("/api/flowchartMindMap/addFlowchartElement", {
    method: "POST",
    data,
  });
};

/**
 * 编辑流程图元素
 * @param
 */
export const EditFlowchartElement = (data) => {
  return request("/api/flowchartMindMap/editFlowchartElement", {
    method: "POST",
    data,
  });
};

/**
 * 删除流程图元素
 * @param
 */
export const DeleteFlowchartElement = (data: { id: string }) => {
  return request("/api/flowchartMindMap/deleteFlowchartElement", {
    method: "POST",
    data,
  });
};

/**
 * 添加思维导图元素
 * @param
 */
export const AddMindMapElement = (data) => {
  return request("/api/flowchartMindMap/addMindMapElement", {
    method: "POST",
    data,
  });
};

/**
 * 编辑思维导图元素
 * @param
 */
export const EditMindMapElement = (data) => {
  return request("/api/flowchartMindMap/editMindMapElement", {
    method: "POST",
    data,
  });
};

/**
 * 删除思维导图元素
 * @param
 */
export const DeleteMindMapElement = (data: { id: string }) => {
  return request("/api/flowchartMindMap/deleteMindMapElement", {
    method: "POST",
    data,
  });
};